Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000459XdebugUsage problemspublic2009-08-03 01:562009-08-06 11:39
Reporterthijsputman 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionduplicate 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000459: Fail to retrieve context for local variable
Description== This might be a duplicate of 0000376. Sorry for this, but I can't seem to add a note to the existing issue. ==

Confirming that the issue in 0000376 doesn't appear to be resolved in my setup. I'm running Xdebug 2.0.5 (php_xdebug-2.0.5-5.3-vc9-nts) in conjunction with PHP5 (also VC9, NTS). Debugging from within Eclipse 3.5 with PDT 2.1 installed.

When debugging the test-case provided in 0000376:0000856, Eclipse complains that "child count update" failed. A full stack-trace is provided in the additional information section below.

I've put a breakpoint at the "$local = 10" statement and use "Step Into" from there. The problem seems to occur once a reference is maded to a previously initialised variable.
Assigning "$local = 10" and "$newone = new child()" works, but once $local is updated the error occurs. If you comment out "$local += 10", the error occurs on the next line, where $this is first referenced. Commenting out both lines results in the error being generated after "$obj->create()" is called on the last line...

Testing is somewhat cumbersome as Eclipse needs to be closed and restarted between every test. Once the "child count update" fails, no further errors are generated; neither is the "Variables" view updated in Eclipse.
Additional Informationjava.lang.NullPointerException
at org.eclipse.php.internal.debug.core.xdebug.dbgp.model.DBGpStringValue.<init>(DBGpStringValue.java:39)
at org.eclipse.php.internal.debug.core.xdebug.dbgp.model.DBGpVariable.parseProperty(DBGpVariable.java:75)
at org.eclipse.php.internal.debug.core.xdebug.dbgp.model.DBGpVariable.<init>(DBGpVariable.java:44)
at org.eclipse.php.internal.debug.core.xdebug.dbgp.model.DBGpContainerValue.parseData(DBGpContainerValue.java:97)
at org.eclipse.php.internal.debug.core.xdebug.dbgp.model.DBGpContainerValue.<init>(DBGpContainerValue.java:37)
at org.eclipse.php.internal.debug.core.xdebug.dbgp.model.DBGpVariable.parseProperty(DBGpVariable.java:83)
at org.eclipse.php.internal.debug.core.xdebug.dbgp.model.DBGpVariable.<init>(DBGpVariable.java:44)
at org.eclipse.php.internal.debug.core.xdebug.dbgp.model.DBGpTarget.parseVarResp(DBGpTarget.java:1210)
at org.eclipse.php.internal.debug.core.xdebug.dbgp.model.DBGpTarget.getContextLocalVars(DBGpTarget.java:1123)
at org.eclipse.php.internal.debug.core.xdebug.dbgp.model.DBGpTarget.getContextAtLevel(DBGpTarget.java:1177)
at org.eclipse.php.internal.debug.core.xdebug.dbgp.model.DBGpTarget.getVariables(DBGpTarget.java:1158)
at org.eclipse.php.internal.debug.core.xdebug.dbgp.model.DBGpStackFrame.getVariables(DBGpStackFrame.java:148)
at org.eclipse.debug.internal.ui.model.elements.StackFrameContentProvider.getAllChildren(StackFrameContentProvider.java:51)
at org.eclipse.debug.internal.ui.model.elements.StackFrameContentProvider.getChildCount(StackFrameContentProvider.java:28)
at org.eclipse.debug.internal.ui.model.elements.ElementContentProvider.retrieveChildCount(ElementContentProvider.java:114)
at org.eclipse.debug.internal.ui.model.elements.ElementContentProvider$2.run(ElementContentProvider.java:63)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
TagsNo tags attached.
Operating SystemWindows Vista
PHP Version5.3.0
Attached Files

- Relationships
duplicate of 0000376closed Fail context for local variable 

-  Notes
(0001023)
chrisc (reporter)
2009-08-05 01:40

I get the same problem as 0000376 and I'm running xdebug 2.0.5 on OS X 10.5.6 with PHP 5.3.
(0001024)
soki (reporter)
2009-08-05 20:48

fyi:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=285371 [^]
(0001026)
derick (administrator)
2009-08-06 11:38

Duplicate of 0000376 — My mistake, this is only in HEAD (2.1-dev) and not in 2.0.5.

- Issue History
Date Modified Username Field Change
2009-08-03 01:56 thijsputman New Issue
2009-08-03 01:56 thijsputman Operating System => Windows Vista
2009-08-03 01:56 thijsputman PHP Version => 5.3.0
2009-08-03 01:56 thijsputman Xdebug Version => 2.0.5
2009-08-05 01:40 chrisc Note Added: 0001023
2009-08-05 20:48 soki Note Added: 0001024
2009-08-06 11:38 derick Note Added: 0001026
2009-08-06 11:38 derick Relationship added duplicate of 0000376
2009-08-06 11:38 derick Duplicate ID 0 => 376
2009-08-06 11:38 derick Status new => resolved
2009-08-06 11:38 derick Resolution open => duplicate
2009-08-06 11:38 derick Assigned To => derick


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker